Subject: Re: setting up a git repo on apache

From: Alan Larkin <[email-masked]>
Date: Thu, 10 Aug 2006 10:43:06 +0100

Johannes Schindelin wrote:
> Hi,
> 
> On Wed, 9 Aug 2006, Alan Larkin wrote:
> 
>> $ git push http://localhost:/webdav/git/myproj master
>> Error: no DAV locking support on remote repo
> 
> What do the access_log and the error_log say about this?
> 
> It could also be that you have a "Require valid-user" somewhere in there 
> by mistake.
> 
> Further, you might want to check if it works _with_ authentication (I 
> never tried without, and I am not sure if it should be allowed to begin 
> with).
> 
> There is a recent thread by Junio, Rutger and me, which might help you:
> 
> http://thread.gmane.org/gmane.comp.version-control.git/24816/focus=24861
> 
> Hth,
> Dscho
> 
> 
> 
For the record, I followed the steps in the above linked thread as
closely as possible but the problem persists. It did however contain the
suggestion to use litmus to test the webdav and thats proving curious
insofar as several tests are failing, but in a not entirely reproducible
way. I mean, on one test I might see

14. cond_put.............. FAIL (PUT conditional on lock and etag
failed: 412 Precondition Failed)
15. fail_cond_put......... pass
16. cond_put_with_not..... pass
17. cond_put_corrupt_token WARNING: PUT failed with 400 not 423
    ...................... pass (with 1 warning)
18. complex_cond_put...... FAIL (PUT with complex conditional failed:
412 Precondition Failed)

and if run again I might see

14. cond_put.............. pass
15. fail_cond_put......... pass
16. cond_put_with_not..... pass
17. cond_put_corrupt_token WARNING: PUT failed with 400 not 423
    ...................... pass (with 1 warning)
18. complex_cond_put...... FAIL (PUT with complex conditional failed:
412 Precondition Failed)

and on another a different combination.

But this has no real place here, so I shall off and try find the
solution elsewhere and post back if its relevant.

Thanks for the help.